#ifndef PAMVMCGEOROTMGR_H
#define PAMVMCGEOROTMGR_H
#include <iostream>

#include <TGeoMatrix.h>
#include "TString.h"
#include "TObjString.h"
#include "TMap.h"

using std::cout;
using std::endl;

class PamVMCGeoRotMgr: public TObject {

 private:

  static PamVMCGeoRotMgr * fgeorot;
  TMap fdmap;

 protected:
  PamVMCGeoRotMgr();

 public:

  ~PamVMCGeoRotMgr(){ fdmap.DeleteAll(); }  

  static PamVMCGeoRotMgr * Instance();
  TGeoRotation* GetRot(const char *name);

  void Print( const Option_t* ="") const { 
    cout << "PamVMCGeoRotMgr, list of pGeoRot stored " << endl;
    fdmap.Print();
  }

};

#endif
